
Installer - Feature #31642

The container gateway smart proxy plugin needs installer support

01/14/2021 08:19 PM - Ian Ballou

Status: Closed   

Priority: Normal   

Assignee: Ian Ballou   

Category: Foreman modules   

Target version: 2.4.0   

Difficulty:  Fixed in Releases: 2.4.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-for

eman_proxy/pull/643,

https://github.com/theforeman/puppet-for

eman_proxy_content/pull/326,

https://github.com/theforeman/puppet-for

eman_proxy_content/pull/319

  

Description

The container gateway should be installable with the foreman-installer. The installer should install the plugin, configure settings, and

set up the postgresql database + user.

Related issues:

Related to Packaging - Feature #31643: smart_proxy_container_gateway needs to... Closed

Associated revisions

Revision 08910896 - 02/04/2021 02:57 PM - Ian Ballou

Fixes #31642 - Add container gateway support

Revision ffdc16d0 - 02/09/2021 07:19 PM - Ian Ballou

Fixes #31642 - Add container gateway support

Refs #31642 - remove SSLProxyCheckPeer options

History

#1 - 01/14/2021 08:23 PM - Ian Ballou

- Related to Feature #31643: smart_proxy_container_gateway needs to be added to foreman-packaging added

#2 - 01/14/2021 08:25 PM - Ian Ballou

- Assignee set to Ian Ballou

#3 - 01/29/2021 04:48 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/puppet-foreman_proxy/pull/643 added

#4 - 01/29/2021 04:48 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-foreman_proxy_content/pull/319 added

#5 - 01/29/2021 10:02 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/643 added

#6 - 02/04/2021 02:57 PM - The Foreman Bot

- Fixed in Releases 2.5.0 added

#7 - 02/04/2021 03:01 PM - Ian Ballou
- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman_proxy|0891089631b49ccf4c72e53a64a9ce4f4b6c2560.

#8 - 02/08/2021 07:24 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-foreman_proxy_content/pull/326 added

#9 - 02/09/2021 11:45 AM - Ewoud Kohl van Wijngaarden

- Category changed from External modules to Foreman modules

- Status changed from Closed to Ready For Testing

- Target version set to 2.4.0

- Triaged changed from No to Yes

- Pull request deleted (https://github.com/theforeman/foreman-installer/pull/643,

https://github.com/theforeman/puppet-foreman_proxy_content/pull/319)

- Fixed in Releases deleted (2.5.0)

#10 - 02/09/2021 01:21 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-foreman_proxy_content/pull/319 added

#11 - 02/09/2021 07:19 PM - The Foreman Bot

- Fixed in Releases 2.5.0 added

#12 - 02/09/2021 08:01 PM - Ian Ballou

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman_proxy_content|ffdc16d0417bf07b6c765779b5b853ca1b58c868.

#13 - 03/02/2021 12:10 PM - Ewoud Kohl van Wijngaarden

- Fixed in Releases 2.4.0 added

- Fixed in Releases deleted (2.5.0)

Powered by TCPDF (www.tcpdf.org)

05/19/2024 2/2

https://projects.theforeman.org/projects/puppet-foreman/repository/puppet-foreman_proxy/revisions/0891089631b49ccf4c72e53a64a9ce4f4b6c2560
https://projects.theforeman.org/projects/puppet-foreman/repository/puppet-foreman_proxy_content/revisions/ffdc16d0417bf07b6c765779b5b853ca1b58c868
http://www.tcpdf.org

